/*
    2000 Averett&Associates. All rights reserved.
*/

var visual = 0;
var video = 1;
var currentPane = 0;

var vidIsRunning = false;


function Init()
{
    plt.setColumnResizeMode(0, "Stretches");
    vis.currentEffectType = mediacenter.effectType;
    vis.currentPreset = mediacenter.effectPreset;

    OnOpenStateChange();
    OnPlayStateChange();
}

function OnClose()
{
    mediacenter.effectType = vis.currentEffectType;
    mediacenter.effectPreset = vis.currentPreset;
}

function OnOpenStateChange()
{  
    vis.currentEffectType = mediacenter.effectType;
    vis.currentPreset = mediacenter.effectPreset;
     UpdateMetadata();
    if(player.OpenState == osMediaOpen)
    {
        vidIsRunning =
            (player.currentMedia.ImageSourceWidth>0);
        
        SetVisibility(vidIsRunning?video:visual);
    }
}

function OnPlayStateChange()
{   
    Playb.visible = true;
    switch(player.PlayState)
    {
    case psStopped:
        vis.visible = false;
     
        break;
    case psPlaying:
     
       OnOpenStateChange();
        
        break;
    }
}


function SetVisibility(newPane)
{
 

    switch(newPane)
    {
    case visual:
        vis.visible = true;
        vid.visible = false;
        
        break;
   
    case video:
        vid.visible = true;
        vis.visible = false;
        VI.visible = true;
        V.visible= true;
        break;
    }

    currentPane = newPane;
}




function TogglePl()
{
    Plbox.visible =
        plt.visible = !plt.visible;
   
}

function ToggleEQs()
{
    EQs.visible = !EQs.visible;
   
}
function ToggleVI()
{
    VI.visible=V.visible= !VI.visible;
    vis.currentEffectType = mediacenter.effectType;
    vis.currentPreset = mediacenter.effectPreset;
}

function UpdateMetadata()
{
    metadata.value = player.currentmedia.name;
        
    if(metadata.value != "")
    {
        metadata.value += " -- ";
    }
    metadata.value += player.currentmedia.getiteminfo("author");
    if(metadata.value != "")
    {
        metadata.value += " -- ";
    }
    metadata.value += player.currentmedia.durationString;

}